<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsDeviceConfiguration Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a38e1a2caf6bcc08add2af6b2ae78ab9e">clear</a>()</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a5d06db9aef459c177d1bbe0c950926a3">containsDevice</a>(const XsDeviceId &amp;deviceId)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#ad4956c24e274c8f4fe1e64d9d08e7e8c">deviceCount</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#ac6e0e46f415b78db892fbda79186426b">deviceInfo</a>(const XsDeviceId &amp;deviceId)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a9437060dd2e8866c9b69e8eec32198e0">deviceInfo</a>(XsSize busId)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a531f035e7f6b6cd783093f444fc4178a">deviceInfo</a>(XsSize busId) const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#af2aca11dc619bf4280d9af82d5c8e094">empty</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#ad8e5562d243e5a72fe326c0ebc402230">m_deviceInfo</a></td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a9958fdce886d83d24cccf145d4610f49">m_masterInfo</a></td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a8db0532e5aa978833e514bc227804540">m_numberOfDevices</a></td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#ab33172b7e4d90719b1a9e44ca6047feb">masterInfo</a>()</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a7bf2b249e4bc8ef386ba1e89edf00ea3">masterInfo</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a6c66a7d2059b89c6936447c8f0e18d0a">numberOfDevices</a>() const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#af8acb4bd3c31247cbc5aef3932e30ca0">operator=</a>(const XsDeviceConfiguration &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a931a2d7f15dc2892cff73409677590ad">readFromMessage</a>(const XsMessage &amp;msg)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#adf83a4b9ac4a5547c55594a09a75bbe8">setNumberOfDevices</a>(XsSize count)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a3ecab7812838844d5755d916cd470070">writeToMessage</a>(XsMessage &amp;msg) const </td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#a8cfac1bb4b1ba926f796c5fccb22edb3">XsDeviceConfiguration</a>(uint16_t numberOfDevs=0)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_device_configuration.html#aef8557ce1786f8dafc74540c91e9ea9e">XsDeviceConfiguration</a>(const XsDeviceConfiguration &amp;other)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga3f82f23864ce7afecff683cd244e62b1">XsDeviceConfiguration_assign</a>(XsDeviceConfiguration *, XsSize numberOfDevices, const XsDeviceConfiguration *src)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaaf7db34fdc4f11bbad4aa6cc084013f0">XsDeviceConfiguration_construct</a>(XsDeviceConfiguration *)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gae75e3b6787af92d24e0661bfa60eb906">XsDeviceConfiguration_copy</a>(XsDeviceConfiguration *copy, XsDeviceConfiguration const *src)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga8512c801c9ba9226bd59379b8112a7c8">XsDeviceConfiguration_destruct</a>(XsDeviceConfiguration *)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga1edca1236b69b9dd0253c9ee218a0108">XsDeviceConfiguration_empty</a>(const XsDeviceConfiguration *)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga7522432b562da58662c06666410cecbc">XsDeviceConfiguration_findDevice</a>(const XsDeviceConfiguration *, const XsDeviceId *deviceId)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gac9938ca9ab7f27e7638e6d3b6f31821c">XsDeviceConfiguration_readFromMessage</a>(XsDeviceConfiguration *, const XsMessage *msg)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga4ced1d8bb9944a0dae2a91ab9eb8f3ed">XsDeviceConfiguration_writeToMessage</a>(const XsDeviceConfiguration *, XsMessage *msg)</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_device_configuration.html#ac9a1de4c7fb4261e24dd97dff29180bf">~XsDeviceConfiguration</a>()</td><td class="entry"><a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
